**    ModelEco : MODELisation en programmation mathmatique pour l'analyse ECOnomique de l'agriculure    **

*-----------------------------------------------------------------------------*
$Ontext
Nom              TablesEtChaises
Sequence         1 - Initiation  la programmation mathmatique avec GAMS
Type             LP
Langage GAMS     Trouver des erreurs
Description
" Une entreprise produit des chaises et des petites tables  partir d'un stock de 16 units de bois,
10 units de tissu et emploie un ouvrier qui fournit 40 heures de travail.
Pour produire 1 chaise, il faut : 1 heure de travail, 1 unit de bois, 1 unit de tissu
Pour produire 1 table, il faut : 4 heures de travail, 1 unit de bois.
Le prix d'une chaise est de 15, celui d'une table 30
On cherche  dterminer la production de chaises et de tables qui permet de maximiser le chiffre d'affaires de l'entreprise "

$Offtext
*-----------------------------------------------------------------------------*


*----------                          INDICES                        ----------*
SET
M meubles /chais, table/
;


*----------                          DONNEES                        ----------*
SCALARS
D_BOIS     disponibilite en unites de bois         /16/
D_TIS      disponibilite en unites de tissu        /10/
D_TRAV     disponibilite en heure de travail       /40/
;

PARAMETERS
B(M)     besoins en bois par peuble (unites)             /TAB 1,   CHAIS 1/
T(M)     besoins en tissu par peuble (unites)            /CHAIS 1/
W(M)     besoins en travail par meuble (heures)          /TAB 4,   CHAIS 1/
PRIX(L)  prix par meuble (euros)                         /TAB 30,  CHAIS 15/
;


*----------                         MODELE                          ----------*
VARIABLES
Z        chiffre d'affaires total de l'entreprise
;

POSITIVE VARIABLES
NB(M)    nombre d'unites de chaque meuble
;

EQUATIONS
BOIS
TISSU
TRAVAIL
OBJECTIF
;

BOIS:       sum(M, NB(M)*B(M)) =l= D_BOIS ;
TISSU..     sum(M, NB(M) * T(M)) =l= D_TIS ;
TRAVAIL..   sum(M, NB(M)*W(M)) =g= D_TRAV ;
OBJECTIF..  sum(M, PRIX(M)*NB(M)) =e= Z ;

MODEL tableChaise /all/ ;


*----------                        SOLUTION                         ----------*
SOLVE tableChaise using LP maximizing Z ;


